import {mapDictionary as mapDictionary2} from "./mapDictionary";
import {getWordsMeta as getWordsMeta2} from "./getWordsMeta";
import {applyWordsMeta as applyWordsMeta2} from "./applyWordsMeta";
import {getDictionary} from "./dictionary";
export function translate(text, fromLang, toLang) {
  if (Array.isArray(text)) {
    return text.map(translate);
  }
  const mappedDictionary = mapDictionary2(getDictionary(), fromLang, toLang);
  const dictEntries = Object.entries(mappedDictionary);
  let tempText = text.toLowerCase();
  dictEntries.forEach(([from, to]) => {
    tempText = tempText.replace(new RegExp(from, "g"), to);
  });
  const tempWords = tempText.split(" ");
  const wordsMeta = getWordsMeta2(text.split(" "));
  return applyWordsMeta2(tempWords, wordsMeta).join(" ");
}
